> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all pipeline definitions



## OpenAPI

````yaml /api-reference/4.2/service-query-pipelines.json get /query-pipelines
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service query-pipelines
servers:
  - url: /api/apollo/
security: []
tags:
  - name: query-pipelines
paths:
  /query-pipelines:
    get:
      tags:
        - 4.2 Query Pipelines API
      summary: List all pipeline definitions
      operationId: listPipelines
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object

````